Piccolo howto per applicare la nuova patch, appena rilasciata, per consentire l’utilizzo dei driver fglrx sperimentali 8.42.3 con kernel 2.6.23 (e versioni di mezzo). Prima di cominciare bisogna avviare col nostro nuovo kernel 2.6.23 appena compilato e installato. Una volta loggati (non e’ necessario modificare xorg.conf) procediamo con l’installazione “classica” che non prevede nessuna pacchettizzazione.

>> Continua

Related Posts Plugin for WordPress, Blogger...

Il tuo indirizzo ip:
18.205.176.100

Valutazione 3.00 su 5
happy wheels 2 demo

Category:

Senza categoria

Tags:

Comments Closed

49 Comments

  • lucas ITALY 11 anni ago

    è uscita giusto stamattina la nuova release dei driver ati, che d’ora in poi si chiameranno per omogeneità con windows “Catalyst” e tra le feature c’è il supporto per il kernel 2.6.23.

    devo solo decidere se installarli, magari aspetto che la guida su wiki.cchtml.com tiri fuori qualche magagna nella procedura di installazione, come già successo altre volte.

  • @Divi: ma secondo te c’e’ speranza che questi babbei di amd/ati facciano dei driver che supportano le schede vecchie come le ati 9250 che ho io in giro per casa (menomale che sul pc principale ho nvidia) ?
    Io capisco che la 9250 non sarà un fulmine, nessuno pretende sfocatura e blur di compiz, ma un composite del picchio …. Non si capisce perchè considerano solo dalla 9500 in su … Bah

  • @lucas
    si ho letto e riportato il download in fondo all’articolo
    Li provero’ senz’altro in questi giorni
    Per il momento gli 8.42.3 + patch vanno molto bene

  • @Luna
    i driver ci sono, gli 8.28, solo che non sono piu’ compatibili (da un bel po’) con le nuove versioni di X.org..non e’ una questione di “discriminazione” e’ che forse non riescono a stare al passo con il mondo opensources
    😉

  • orchideo ITALY 11 anni ago

    @ luna

    la 9250 non è più supportata dalla ati e se non sbaglio ne ha rilasciato le specifiche tempo fa

  • sonoffree ITALY 11 anni ago

    Lasciate stare i nuovi driver, sono come quelli vecchi con l’unica differenza che supportano il kernel 2.6.23

  • gianca ITALY 11 anni ago

    ciao divilinu…
    ho un problemino…

    giancarlo@kubuntu710:~$ sudo sh sh ati-driver-installer-8.42.3-x86.x86_64.run –extract /exp/
    sh: Can’t open sh

    che debbo fare?

  • @gianca
    scusa c’era un sh di troppo…ora ho sistemato

  • gianca ITALY 11 anni ago

    ancora io… scusami…
    ma dov’è la directory exp???

    giancarlo@kubuntu710:~$ sudo mv ~/fglrx-842-2623.patch /exp/common/lib/modules/fglrx/build_mod/
    mv: target `/exp/common/lib/modules/fglrx/build_mod/’ is not a directory: Nessun file o directory

  • @gianca
    la directory /exp/ e’ una dir che crei quando estrai il pacchetto..la puoi chiamare /pippo/ o anche /pluto/..ed e’ scritto nella guida

    sudo sh ati-driver-installer-8.42.3-x86.x86_64.run – -extract /exp/

  • gianca ITALY 11 anni ago

    scusami… mi ero dimenticato un trattino prima di extract…
    adesso quando patcho mi dice questo…

    giancarlo@kubuntu710:/exp/common/lib/modules/fglrx/build_mod$ patch -p1 -l < fglrx-842-2623.patch
    missing header for unified diff at line 8 of patch
    can’t find file to patch at input line 8
    Perhaps you used the wrong -p or –strip option?
    The text leading up to this was:
    ————————–
    |crude patch to make 8.42 compile against 2.6.23+.
    |The x64 version probably doesn’t work.
    |
    |Better get the patch from the ati-drivers sabayon overlay 😉
    |
    |— firegl_public.c.orig 2007-10-23 19:31:26.000000000 +0200
    |+++ firegl_public.c 2007-10-23 19:32:07.000000000 +0200
    ————————–

    che vuol dire?
    grazie mille della pazienza…

  • @gianca
    significa che ti viene chiesto quale file e’ da patchare..
    Quindi, come scritto nella guida, basta fornire il percorso a questi files e battere “invio”

    /exp/common/lib/modules/fglrx/build_mod/firegl_public.c

  • gianca ITALY 11 anni ago

    ciao ancora divi…
    non è andato niente purtroppo…

    ho la 7.10 appena installata con kernel 2.6.22

    avevo provato in precedenza i driver con restrizioni e andava solo che i video ogni tantino scattavano e quindi volevo provare questa tua guida….

    che consigli?… ho una ati xpre200m

  • @gianca
    in che senso non e’ andato niente?..hai compilato i driver e non si sono installati?

  • gianca ITALY 11 anni ago

    si… però se provavo il comando fglrxinfo mi rispondeva che c’erano i driver mesa…

  • @gianca
    strano, bisognerebbe controllare tutto..comunque vedo che hai installato il 2.6.22 quindi la patch non serve piu’..
    NOn risolve i problemi dei video “blinking” con compiz..per quell ci vuole la nuovissima versione gia’ patchata dei driver ATI. Alcuni utenti hanno affermato di avere risolto con quelli

  • gianca ITALY 11 anni ago

    quindi dici che posso provare ad installare i driver Catalyst rilasciati ieri seguendo le istruzioni riportate sul sito dell’ATI?

  • gianca ITALY 11 anni ago

    beh…
    ho provato i nuovi nuovissimi driver Catalyst seguendo la guida sul forum di ubuntu

    http://forum.ubuntu-it.org/index.php/topic,132600.0.html

    tutto perfetto….
    notte notte!!!
    e grazie!!!

  • Ieri sera ho installato i nuovi Catalyst 7.11 su gutsy, usando module-assistant è andato tutto stra-liscio.

    Peccato che il supporto per compiz sia ancora un po’ scarso, scale e wall sul mio centrino con X700 sono un po’ scattosi.

  • @gianca
    la guida che hai seguito non e’ proprio corretta..in futuro potresti avere problemi.ma l’importante, come si dice, e’ che per il momento funzioni tutto
    La spiegazione per il discorso della memoria “volatile” arriva da Matteo Zandi (che saluto e ringrazion), primo intervento in questo articolo:

    http://divilinu.wordpress.com/2007/10/29/ati-troubleshooting/

  • gianca ITALY 11 anni ago

    problemi????
    che problemi????
    facendo cosa???
    andando dove???
    frequentando chi???

    nooooooooooooooo….
    e io che mi sentivo miracolato per esser riuscito ad eseguire tutti quei comandi senza ricevere segnali di errore alcuno…

    sigh, sigh

  • @gianca
    l’importante e’ che non hai seguito..o non ti sei ritrovato nelle condizioni di spostare a mano il modulo fglrx.ko

  • gianca ITALY 11 anni ago

    no no no…
    non l’ho mica fatta una cosa simile…

    quindi dici che posso ammazzarmi di sonno per giochicchiare con i giochini 3D???

  • quando ho dato sudo modprobe fglrx, mi ha dato
    FATAL: Error inserting fglrx (/lib/modules/2.6.22-14-generic/volatile/fglrx.ko): Operation not permitted

    Che significa?

  • @SharkP
    forse va ricreata la lista dei moduli con

    sudo depmod -ae

    altrimenti al riavvio non dovresti avere problemi..sempre se non hai ricevuto errori nella compilazione degli fglrx

  • Torrazzi ITALY 11 anni ago

    Ciao Div, Scusa ti faccio un paio di domande:
    Come mai nella tua guida installi i nuovi driver con il metodo “ATI” con la procedura automatica anzichè utilizzare il metodo tracollaudato “module-assistant?
    Solo per cambiare un po il metodo di installazione?
    Altro quesito: Hai notato migliorie nei nuovi 7.11 rispetto agli 8.42 (non so, per esempio con i compositore per video, appl. 3D, scrolling lento con firefox, ecc.)?
    Ciao e grazie per il tuo supporto.

    Torrazzi

  • @Torrazzi
    Module-assistant non va bene in questo caso perche’ non abbiamo un pacchetto debian installato che a sua volta installa fglrx.tar.bz2 in /usr/src..ma abbiamo l’installer estratto in una directory.

    Non ho i 7.11 perche’ sono usciti subito dopo avere scritto questo articolo..non sono pazzo, non scriverei mai un articolo su una patch da applicare ai driver..quando gia’ ci sono i driver patchati
    😉

  • Eugenio ITALY 11 anni ago

    Ma quindi riprendendo per i dinosauri che hanno ancora la 9250 che si puo’ fare?

  • @Eugenio
    trovati una distribuzione che ancora utilizza Xfree-86 o versioni di X.org < della 7.1…altrimenti devi necessariamente utilizzare i driver opensources

  • Eugenio ITALY 11 anni ago

    Ehm,intanto grazie della risposta, poi volevo chiederti se hai qualche esempio di queste distro…e se eventualmente ha senso fare un downgrade su ubuntu…

  • @Eugenio
    non ne conosco di distribuzioni che hanno ancora Xfree-86
    Il downgrade, che non puoi fare, dovrebbe puntare alla Dapper (6.06) se non addirittura alla Breezy (5.10)..in parole povere dovresti provare ad installare la 6.06 o la 5.10 scaricando la iso..e sperando di recuperare in giro o nei repository i driver fglrx 8.24 o 8.28.
    Con questi driver e con X.org < 7…la tua 9250 dovrebbe funzionare
    Ma capirai anche tu che non ha senso..il supporto della ATI e’ terminato..e cara grazia che coi driver opensources puo’ funzionare perfettamente con tanto di acc3d ed effetti grafici
    😉

  • Eugenio ITALY 11 anni ago

    Ok, ovvio che funziona e funziona pure abbastanza bene… il mio problema è che quando lancio alcuni giochi (premetto, li lancio da sessione terminale d’emergenza, quindi senza effetti attivi o altre cose) la scheda non mi fa il rendering dell’ambiente… In pratica il mio personaggio è quasi solo, con pezzi di terreno e muri che compaiono all’improvviso, e i vari oggetti… figo no?no 😛

  • @Eugenio
    non ho capito cosa intendi per “avviare i giochi da sessione terminala di emergenza”..
    Per quanto riguarda il gioco che mi stai descrivendo..e’ per caso Second Life?..perche’ fa spesso cosi’

  • Eugenio ITALY 11 anni ago

    Ehm,no è Postal2… comunque ho visto che i driver catalyst dovrebbero essere supportati anche per la mia scheda, solo che non riesco proprio a farli funzionare cavolo

  • @Eugenio
    🙁
    la tua scheda e’ supportata dai catalyst..qualche migliaio di versione indietro pero’…gli 8.28 e gli 8.24
    Forse ti torna piu’ facile se ti dico, tagliando i dettagli che ti ho gia’ illustrato, che dalla versione 6.06 di UBuntu non li puoi piu’ utilizzare
    😉

  • Eugenio ITALY 11 anni ago

    ok,grazie mille ancora per il supporto… quindi il modo migliore per risolvere quei problemi video è in pratica cambiare scheda giusto?

  • @Eugenio
    assolutamente no, ti basta utilizzare i driver radeon opensources
    😉

  • Eugenio ITALY 11 anni ago

    ok,ovvio, è quello che sto facendo ora…solo che non riesco a risolvere quel problema del gioco che ovviamente è legato alla scheda video 😛

  • io non lo conosco..ma so che i radeon sono abbastanza limitati nell’accelerazione grafica..
    alcuni funzionano..altri un po’ meno
    se la scheda si comporta cosi’ per tutti i giochi 3d..allora si puo’ forse lavorare sul file xorg.conf..ma dirti adesso quali opzioni aggiungere mi torna difficile
    🙁

  • Eugenio ITALY 11 anni ago

    beh, anche perchè ci ho lavorato parecchio su prima di provare la strada dei driver closed e non è servito a gran che a dire la verità… quindi picche 🙁

  • @Eugenio
    hai provato ad abbassare la profondita’ di colore (dallo xorg.conf) a 16 invece che 24?

  • Eugenio ITALY 11 anni ago

    ehm si… e ovviamente quando lo lancio fa un display nero e poi ritorna a gdm 😛

  • @Eugenio
    era l’ultima cosa che mi e’ venuta in mente..visto che la mia 9200 respira un po’ diminuendo la profondita’ di colore..

  • sto provando gli 8.43 (7.11) su ati x200m.. sono riuscito finalmente a sdradicare xgl ed utilizzare aiglx ma noto dopo una decina di minuti dal boot strani rallentamenti del sistema che non capisco a cosa sono dovuti…
    l’utilizzo della ram aumento o lo swap si gonfia… e il sistema pian piano si appesantisce sempre più

  • dimenticavo : kernel 2.6.24rc3

  • Giorgio ITALY Mozilla Firefox Ubuntu Linux 11 anni ago

    Ho installato ieri i catalyst 7.12 su un Vaio VGN-A517M equipaggiato con ATI Mobility Radeon X600, su una distro Ubuntu Gutsy con Kernel 2.6.22-14. Problemi:
    1) la risoluzione max dello schermo è 1152×864 (invece che 1440×900 come con i prec driver ATI fino a 7.11)
    2) la sospensione funziona (finalmente) ma solo se non sono attivi gli effetti 3D
    3) se gli effetti 3D sono attivi, la visione dei filmati continua ad essere assolutamente improponibile (DVD, webTV ecc) per lentezza dello scorrimento e immagini sgranate.

    Qualcuno di voi ha trovato qualche soluzione?

  • divilinu ITALY Mozilla Firefox Ubuntu Linux 11 anni ago

    @Giorgio
    no, con le ultime due versioni e compiz non e’ cambiato nulla: ne’ per quanto riguarda la visualizzazione dei file video ne’ per lo scroll di Firefox
    La sospensione, se utilizzi quella classica fornita dall’acpi, e’ sempre una grossa incognita ed e’ piuttosto raro trovare qualche utente a cui funziona sia il sus che l’hibernate indipendentemente dai driver ATI o dal cambio di Kernel. L’alternativa e’ utilizzare il pm-suspend.
    Per la risoluzione, probabilmente dovrai sistemare a mano lo xorg.conf ed inserire 1440×900..hai gia’ provato?

  • Giorgio ITALY Mozilla Firefox Ubuntu Linux 11 anni ago

    Divilinux, grazie mille per la risposta sempre molto rapida. In realtà io con compiz non ho problemi per lo scroll del browser ma solo per la sospensione e per i video. Non ho capito (tra le altre cose) se il problema è compiz o sono i driver ATI, per questo ad ogni nuovo rilascio ATI aggiorno.
    Per quanto riguarda la risoluzione, xorg.conf ha lo screen settato a 1440×900, ed il Control Center ATI lo rileva. E’ il driver fglrx che non lo gestisce (come indica anche l’output di less /var/log/Xorg.0.log oltre che le variabili di risoluzione sempre su Control Center). I vari parametri di aticonfig restituiscono come messaggio “found fglrx primary device section. Nothing to do” o, con “aticonfig –resolution…” mi danno Section # expected (ma non ho trovato, nella sintassi, riferimenti alla Section, solo allo Screen). FIno alla versione 7.11 non avevo avuto alcun problema!

  • Giorgio ITALY Mozilla Firefox Ubuntu Linux 11 anni ago

    Per prima cosa tanti auguri e Buon Natale a tutti. Ho cercato tra vari forum, compresi americani e francesi, ed effettivamente la versione 7.12 sembra ovunque avere problemi nel rilevare risoluzioni widescreen “non standard” (come appunto il 1440×900), a prescindere dal modello di scheda ATI installato. Personalmente sto valutando il reverse al 7.11 per avere una visualizzazione decente di foto e filmati, anche se la sospensione è piuttosto importante per me.
    Grazie ancora a Divilinux, e ovviamente a chiunque trovasse una soluzione in attesa dei nuovi driver

Comments are closed.